import {Component, inject} from "@angular/core";
import {MatListModule} from "@angular/material/list";
import {MatBottomSheetRef} from "@angular/material/bottom-sheet";
import {MatIconModule} from "@angular/material/icon";
import {HttpClient, HttpClientModule} from "@angular/common/http";
import {BrowserModule} from "@angular/platform-browser";
import {CommonModule} from "@angular/common";
import {MatButtonModule} from "@angular/material/button";
import {ActivatedRoute, Router} from "@angular/router";
import {SecurityService} from "../encryption/security.service";
import axios from "axios";
import {GetSpotifyLoginUrlResponse} from "../typescript-generator/spotifymixerapi";

@Component({
  selector: 'footer-menu',
  standalone: true,
  imports: [MatListModule, MatIconModule, HttpClientModule,CommonModule,MatButtonModule],
  template: `
    <div class="bottom-menu-div "style="position: fixed; bottom: 0; width: 100%">
      <button (click)="onSession() " class="menu-button-item-spotify display-text">Session</button>
      <button (click)="onPlaylists() " class="menu-button-item-spotify display-text">Playlists</button>
      <button (click)="onQueue() "class="menu-button-item-spotify display-text">Queue</button>
      <button class="menu-button-item-spotify display-text">Search</button>
    </div>
  `
})
export class FooterMenuComponent {
  _router: Router


  state: 'session' | 'playlists'=  "session";

  constructor(router: Router) {
    this._router=router;
  }

  onSession(){
    this._router.navigateByUrl("/session");
  }
  onPlaylists(){
    this._router.navigateByUrl("/playlists");
  }
  onQueue(){
    this._router.navigateByUrl("/queue");
  }

}
