import {Component, Input} from '@angular/core';
import {MatIconModule} from '@angular/material/icon';
import {MatDividerModule} from '@angular/material/divider';
import {MatButtonModule} from '@angular/material/button';
import {TrackdisplayComponent} from "../Track/trackdisplay.component";
import {TrackDisplayInfoDto} from "../typescript-generator/spotifymixerapi";
import {MatProgressBarModule} from "@angular/material/progress-bar";
import {environment} from "../../environment/environment";
import {HttpClient, HttpClientModule, HttpHeaders} from "@angular/common/http";
import {ActivatedRoute, Router} from "@angular/router";
import {SecurityService} from "../encryption/security.service";


@Component({
  selector: 'music-player',
  standalone: true,
  imports: [MatButtonModule, MatDividerModule, MatIconModule, TrackdisplayComponent,MatProgressBarModule
  ,HttpClientModule],
  providers: [],
  template:
    `
      <div class="music-player">
        <button (click)="onPressed($event)"  mat-fab class="play-button">
          <mat-icon>play_arrow</mat-icon>
        </button>
        <div class="currently-played-song-progressbar">
          <div class="display-text" style="text-align: center">
            asddfggdfdfgdffdfgdfg
          </div>
          <mat-progress-bar  mode="determinate" value="80"></mat-progress-bar>

        </div>
        </div>

    `
})

export class MusicPlayerComponent {
  @Input() trackDisplayInfoDto: TrackDisplayInfoDto | undefined;
  _http: HttpClient;
  constructor(private http: HttpClient) {
    this._http = http;
  }

  onPressed(event: any){
    console.log(event);
    this._http.post("http://"+environment.backend_url+":15532/session/play",null, {
      headers: new HttpHeaders().set('encryptedSessionKey', sessionStorage.getItem('encryptedSessionKey') || 'invalidToken')
        .set('withCredentials', 'true')
    }).subscribe(
      (response) => {
      },
      (error) => {
        console.error(error);
      }
    );
  }


  ngOnInit() {

  }


}
