import { CommonModule } from "@angular/common";
import { HttpClient, HttpClientModule } from "@angular/common/http";
import { Component } from "@angular/core";
import { ActivatedRoute, Router, RouterLink, RouterLinkActive, RouterOutlet } from "@angular/router";
import { GetSpotifyLoginUrlResponse } from "../typescript-generator/spotifymixerapi";
import { SecurityService } from "../encryption/security.service";
import axios from "axios";
import {environment} from "../../environment/environment";
import {CookieService} from "ngx-cookie-service";



@Component({
    selector: 'login-root',
    standalone: true,
    imports: [CommonModule, RouterOutlet, RouterLink, RouterLinkActive, HttpClientModule],
    providers: [],
    template: ``
})
export class JoinSessionComponent {


    constructor(private http: HttpClient, router: Router, route: ActivatedRoute, securityService: SecurityService, cookieService: CookieService) {
        var sessionId:string = route.snapshot.paramMap.get('sessionId') || 'missingId'
        sessionStorage.setItem('encryptedSessionKey', sessionId)
        cookieService.set('encryptedSessionKey', sessionId)

        axios.get<GetSpotifyLoginUrlResponse>("http://"+environment.backend_url+":15532/login")
        .then((response) => {
            window.location.href=response.data.redirectUrl;
        })
    }


}
