import { CommonModule } from "@angular/common";
import { HttpClient, HttpClientModule, HttpHeaders } from "@angular/common/http";
import { Component } from "@angular/core";
import { ActivatedRoute, Router, RouterLink, RouterLinkActive, RouterOutlet } from "@angular/router";
import { AccessTokenHolder, GetSpotifyLoginUrlResponse, SendLoginCodeToBackendRequestBody } from "../typescript-generator/spotifymixerapi";
import { SecurityService } from "../encryption/security.service";
import {environment} from "../../environment/environment";
import {CookieService} from "ngx-cookie-service";


@Component({
    selector: 'login-callback-root',
    standalone: true,
    template: ``,
    imports: [CommonModule, RouterOutlet, RouterLink, RouterLinkActive, HttpClientModule]
})
export class LoginCallBackComponent {


    constructor(private router: Router, route: ActivatedRoute,http: HttpClient, securityService: SecurityService, cookieService: CookieService) {
        var code:string = route.snapshot.queryParamMap.get('code') || 'mallformed';
        var requestBody:SendLoginCodeToBackendRequestBody ={
            encryptedCode: securityService.encryptData(code)
        }

        http.post<AccessTokenHolder>("http://"+environment.backend_url+":15532/login/code", requestBody, { headers: new HttpHeaders().set('encryptedSessionKey', sessionStorage.getItem('encryptedSessionKey') || 'invalidToken') }).subscribe(
            (response) => {

              cookieService.set('accessToken', response.accessToken)
              cookieService.set('spotifyId', response.spotifyId)
                sessionStorage.setItem('accessToken', response.accessToken)
                sessionStorage.setItem('spotifyId', response.spotifyId)
                router.navigateByUrl('session');
            },
            (error) => {
                console.error(error);
            }
        );
    }


}
